petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISPartitioningToNumbering

Takes an ISPartitioning and on each processor generates an IS that contains a new global node number for each index based on the partitioing.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISPartitioningToNumbering(IS part,IS *is)

Collective on IS Many br

Input Parameters Many br

partitioning -a partitioning as generated by MatPartitioningApply() Many br

### Output Parameter

is -on each processor the index set that defines the global numbers Many br(in the new numbering) for all the nodes currently (before the partitioning) Many bron that processor Many br

Many br

### See Also

MatPartitioningCreate(), AOCreateBasic(), ISPartitioningCount()

Level:advanced
Location:src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex64.c.html